# Get Instance List - ListURocketMQService

## Overview

Get Service List






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `ListURocketMQService`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.surfercloud.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [List of Regions and Availability Zones](/docs/api/summary/regionlist) |**Yes**|
| **ProjectId** | string | Project ID. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list) |**Yes**|
| **Limit** | int | The maximum number of entries returned, (0, 1000], default is 20 entries |No|
| **Offset** | int | Query start position, [0, ∞) |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **ServiceList** | array[[*ServiceBaseInfo*](#servicebaseinfo)] | Service list, including the details of the Service obtained |**Yes**|

#### Data Model


#### ServiceBaseInfo

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Service Location |**Yes**|
| **Remark** | string | Description |**Yes**|
| **ServiceId** | string | Service Id |**Yes**|
| **Name** | string | Service Name |**Yes**|
| **State** | string | Service Status:. Enumeration values are: Unknown: Unknown; Available: Available; Initializing: Initializing; Deleting: Deleting; CreateFailed: Creation Failed; Closing: Closing; Closed: Closed; Recovering: Recovering from Shutdown; CloseFailed: Shutdown Failed; RecoverFailed: Recovery from Shutdown Failed; Upgrading: Upgrading; UpgradeFailed: Upgrade Failed; DeleteFailed: Deletion Failed. |**Yes**|
| **Address** | string | Service Intranet Access Address |**Yes**|
| **CreateTime** | int | Service creation time, Unix timestamp seconds |**Yes**|
| **Storage** | int | Message queue storage space, unit: GB |**Yes**|
| **VpcId** | string | VPC ID |**Yes**|
| **SubnetId** | string | subnet id |**Yes**|
| **ChargeType** | string | Billing mode. Enumerated values are: Year: Pay annually; Month, Pay monthly; Dynamic, Prepay hourly. |**Yes**|
| **Tps** | int | Instance Specification Tps |**Yes**|
| **TopicLimit** | int | Topic Quota |**Yes**|
| **IsExpire** | string | Is the resource expired. Enumerated values are: Yes: Expired; No: Not expired |**Yes**|
| **Mode** | string | Network mode. Enumerated values are: Unknown: unknown; PrivateNet: intranet; PublicNet: internet. |**Yes**|
| **AddressExtranet** | string | Service External Access Address |**Yes**|
| **ExpireTime** | int | Resource Validity Period, Unix timestamp seconds |**Yes**|
| **AutoRenew** | string | Whether to renew automatically. Enumerated values are: Yes: Yes; No: No. |**Yes**|
| **Tag** | string | Business Group. Default: Ungrouped |**Yes**|
| **Edition** | string | Version type. Enumeration values are: Unknown: unknown; Beta: beta version; Enterprise: enterprise version. |**Yes**|
| **FileReservedTime** | int | Message storage duration, unit: days |**Yes**|
| **Quantity** | int | Purchase Duration |**Yes**|

## Example

### Request Example
    
```
https://api.surfercloud.com/?Action=ListURocketMQService
&Region=cn-zj
&ProjectId=zIWgThcE
&Limit=4
&Offset=6
```

### Response Example
    
```json
{
  "Action": "ListURocketMQServiceResponse",
  "Message": "SoXGUyZH",
  "RetCode": 0,
  "ServiceList": [
    {
      "Address": "RlWTCGgV",
      "ChargeType": "Year",
      "CreateTime": 2,
      "Name": "vSvWCFtR",
      "Region": "LawhFXVi",
      "Remark": "QjpXWcCk",
      "ServiceId": "oYvBuuXU",
      "State": "Unknown",
      "Storage": 3,
      "SubnetId": "dSedXjym",
      "TopicCount": 3,
      "VPCId": "qMzPIiMS"
    }
  ]
}
```





